> ## Documentation Index
> Fetch the complete documentation index at: https://docs.persistence.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# List phone numbers

> Page through the phone numbers in your workspace.



## OpenAPI

````yaml api-reference/telephony/openapi.json GET /v1/telephony/phone-numbers
openapi: 3.0.3
info:
  title: Persistence Telephony API
  version: '1.0'
  description: Manage the phone numbers your agents call from and answer on.
servers:
  - url: https://api.persistence.dev
    description: Production
security:
  - ApiKeyAuth: []
tags:
  - name: Telephony
    description: Phone number management.
paths:
  /v1/telephony/phone-numbers:
    get:
      tags:
        - Telephony
      summary: List phone numbers
      description: >-
        List the phone numbers in your workspace. Results are paginated and can
        be sorted and filtered by search text.
      operationId: listPhoneNumbers
      parameters:
        - name: page
          in: query
          required: false
          schema:
            type: integer
          description: Page number
        - name: perPage
          in: query
          required: false
          schema:
            type: integer
          description: Items per page
        - name: column
          in: query
          required: false
          schema:
            type: string
            enum:
              - phone_number
              - created_at
          description: Sort column
        - name: order
          in: query
          required: false
          schema:
            type: string
            enum:
              - asc
              - desc
          description: Sort order
        - name: searchText
          in: query
          required: false
          schema:
            type: string
          description: Search text
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PagedPhoneNumbers'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    PagedPhoneNumbers:
      type: object
      properties:
        column:
          type: string
        items:
          type: array
          items:
            $ref: '#/components/schemas/PhoneNumber'
        order:
          $ref: '#/components/schemas/SortOrder'
        page:
          type: integer
        perPage:
          type: integer
        searchText:
          type: string
        totalCount:
          type: integer
    Error:
      type: object
      properties:
        code:
          type: string
        error:
          type: string
    PhoneNumber:
      type: object
      properties:
        allowedInboundCountries:
          type: array
          items:
            type: string
        allowedOutboundCountries:
          type: array
          items:
            type: string
        country:
          type: string
        createdAt:
          type: string
        friendlyName:
          type: string
        id:
          type: string
        inboundAgentName:
          type: string
        inboundAgentPublicId:
          type: string
        inboundWebhookUrl:
          type: string
        isCustomerManaged:
          type: boolean
        isInboundReady:
          type: boolean
        isOutboundReady:
          type: boolean
        label:
          type: string
        outboundAgentName:
          type: string
        outboundAgentPublicId:
          type: string
        phoneNumber:
          type: string
        provider:
          type: string
        providerCurrency:
          type: string
        providerMonthlyCost:
          type: number
        sipConfig:
          $ref: '#/components/schemas/SipConfig'
        spaceId:
          type: string
        status:
          type: string
        updatedAt:
          type: string
    SortOrder:
      type: string
      enum:
        - ASC
        - DESC
      x-enum-varnames:
        - SortOrderAsc
        - SortOrderDesc
    SipConfig:
      type: object
      properties:
        ipAllowlist:
          type: array
          items:
            type: string
        password:
          type: string
        terminationUrl:
          type: string
        transport:
          type: string
        username:
          type: string
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key
      description: API key issued for your workspace.

````